Guest flow topology
curl --request GET \
--url https://{host}/api/clusters/{name}/security/flows/topology \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/clusters/{name}/security/flows/topology"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/clusters/{name}/security/flows/topology', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/security/flows/topology",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/security/flows/topology"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/clusters/{name}/security/flows/topology")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/security/flows/topology")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"edges": [
{
"action": "<string>",
"bytes": 1,
"destNamespace": "<string>",
"destPort": 1,
"destWorkloadName": "<string>",
"flows": 1,
"protocol": "<string>",
"sourceNamespace": "<string>",
"sourceWorkloadName": "<string>",
"allowCount": 1,
"destIdentity": 1,
"destIps": [
"<string>"
],
"destKind": "<string>",
"destPortDisplay": 1,
"destRedacted": true,
"dropReasons": [
"<string>"
],
"l7Http": [
{
"method": "<string>",
"path": "<string>",
"collapsed": true,
"count": 1,
"exact": true,
"samples": [
"<string>"
]
}
],
"l7Protocol": "<string>",
"l7Top": [
"<string>"
],
"outcome": "<string>",
"rejectCount": 1,
"sourceIdentity": 1,
"sourceIps": [
"<string>"
],
"sourceKind": "<string>",
"sourceRedacted": true,
"traceObservationPoints": [
"<string>"
],
"trafficDirection": "<string>",
"trafficDirections": [
"<string>"
],
"viaGateway": "<string>"
}
],
"nodes": [
{
"listenPorts": [
{
"action": "<string>",
"flows": 1,
"peers": 1,
"port": 1,
"protocol": "<string>",
"l7Protocol": "<string>",
"outcome": "<string>",
"policyL7": true
}
],
"namespace": "<string>",
"totalBytes": 1,
"totalFlows": 1,
"workloadName": "<string>",
"aliases": [
"<string>"
],
"cluster": "<string>",
"coveredBy": [
{
"kind": "<string>",
"name": "<string>",
"namespace": "<string>"
}
],
"description": "<string>",
"fqdn": "<string>",
"kind": "<string>",
"labelName": "<string>",
"labels": [
"<string>"
],
"redacted": true,
"role": "<string>",
"subnet": "<string>",
"vlan": 123
}
],
"scope": {
"addressing": "<string>",
"cluster": "<string>",
"labels": [
"<string>"
],
"namespaces": [
"<string>"
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}security
Guest flow topology
The tenant-facing flow read. Cluster-addressed for the reason spelled out
Authorisation: security:Read on krn:celum:supervisor:{?supervisor}:cluster:{name}:security:*, or on krn:celum:supervisor:{?supervisor}:project:{?project}:cluster:{name}:security:* — the project-qualified form, which is how a policy scopes a tenant to one project. Either resource matching is enough.
GET
/
api
/
clusters
/
{name}
/
security
/
flows
/
topology
Guest flow topology
curl --request GET \
--url https://{host}/api/clusters/{name}/security/flows/topology \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/clusters/{name}/security/flows/topology"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/clusters/{name}/security/flows/topology', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/security/flows/topology",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/security/flows/topology"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/clusters/{name}/security/flows/topology")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/security/flows/topology")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"edges": [
{
"action": "<string>",
"bytes": 1,
"destNamespace": "<string>",
"destPort": 1,
"destWorkloadName": "<string>",
"flows": 1,
"protocol": "<string>",
"sourceNamespace": "<string>",
"sourceWorkloadName": "<string>",
"allowCount": 1,
"destIdentity": 1,
"destIps": [
"<string>"
],
"destKind": "<string>",
"destPortDisplay": 1,
"destRedacted": true,
"dropReasons": [
"<string>"
],
"l7Http": [
{
"method": "<string>",
"path": "<string>",
"collapsed": true,
"count": 1,
"exact": true,
"samples": [
"<string>"
]
}
],
"l7Protocol": "<string>",
"l7Top": [
"<string>"
],
"outcome": "<string>",
"rejectCount": 1,
"sourceIdentity": 1,
"sourceIps": [
"<string>"
],
"sourceKind": "<string>",
"sourceRedacted": true,
"traceObservationPoints": [
"<string>"
],
"trafficDirection": "<string>",
"trafficDirections": [
"<string>"
],
"viaGateway": "<string>"
}
],
"nodes": [
{
"listenPorts": [
{
"action": "<string>",
"flows": 1,
"peers": 1,
"port": 1,
"protocol": "<string>",
"l7Protocol": "<string>",
"outcome": "<string>",
"policyL7": true
}
],
"namespace": "<string>",
"totalBytes": 1,
"totalFlows": 1,
"workloadName": "<string>",
"aliases": [
"<string>"
],
"cluster": "<string>",
"coveredBy": [
{
"kind": "<string>",
"name": "<string>",
"namespace": "<string>"
}
],
"description": "<string>",
"fqdn": "<string>",
"kind": "<string>",
"labelName": "<string>",
"labels": [
"<string>"
],
"redacted": true,
"role": "<string>",
"subnet": "<string>",
"vlan": 123
}
],
"scope": {
"addressing": "<string>",
"cluster": "<string>",
"labels": [
"<string>"
],
"namespaces": [
"<string>"
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.